Page MenuHomePhabricator

Reply link is inserted not at the end of the line when a signature is followed by an image (or other stuff which is not text)
Closed, ResolvedPublic

Description

The placement of Reply link looks wrong here. Is it?


Yes, that looks wrong! The "Reply" link should be at the end of the line, like in the previous example (point 2). There is an invisible image in the comment where the link is inserted:

In de kaderkoppen zie ik lelijke horizontale streepjes van ca. 1 cm lang. (Links 2 streepjes, rechter kader 1) Kunnen die er uit? {{Gebruiker:Tjako_van_Schie/Handtekening}} 6 feb 2008 22:56 (CET) p.s. volgens mij is het de [[afbeelding:pix.gif]] die de boosdoener is.

I think we're incorrectly inserting the link at the end of the "text node", rather than at the end of the paragraph. (Also, I'm pretty sure the commenter here meant to link to the image rather than embed it, the correct syntax for that would be [[:afbeelding:pix.gif]], note the ':' at the beginning.)

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptFeb 20 2020, 12:14 AM
matmarex claimed this task.Mar 2 2020, 6:07 PM

Change 576135 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Add reply links at the end of a line, even if the signature is in the middle

https://gerrit.wikimedia.org/r/576135

Change 576135 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Add reply links at the end of a line, even if the signature is in the middle

https://gerrit.wikimedia.org/r/576135

JTannerWMF moved this task from Inbox to High Priority on the Editing QA board.Mar 7 2020, 12:11 AM

This can't be tested until wmf.23 deployment. So even though this got marked as high priority, it will have to wait.

Ryasmeen edited projects, added Verified; removed Editing QA.Mar 18 2020, 7:16 PM
ppelberg closed this task as Resolved.Mar 24 2020, 12:55 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 24 2020, 12:55 AM